'use strict';


// Declare app level module which depends on filters, and services
(function(){
    var app = angular.module('firebulletin', [
      'ngRoute',
      'firebulletin.services',
      'firebulletin.controllers'
    ]);

    app.config(['$routeProvider', function($routeProvider) {
      $routeProvider.when('/', {templateUrl: 'partials/view.html', controller: 'MainController as controller'});
      $routeProvider.otherwise({redirectTo: '/'});
    }]);


	app.filter('imgFilter', function() {
	  console.log('filter loaded');
	  return function(input) {
		console.log('filtering ' + input);
		var out = input.replace(
						'FIREBULLETIN_VPPF,FIREBULLETIN_ZDABORDERWITHNAME', 
						'FIREBULLETIN_VPPF_ABBRUCIAMENTI,FIREBULLETIN_ZDABORDERWITHNAME'
		);
		out = out.replace(
			',firebulletin:puglia_zda',
			''
		);
		out = out.replace(
			',FIREBULLETIN_ZDABORDERWITHNAME',
			''
		);	
		return out;
	  };
	});

	app.filter('dayFilter', function() {
	  var days = {
	  	'24H': 'Oggi',
	  	'48H': 'Domani',
	  	'72H': 'Dopodomani'
	  };

	  return function(input) {
			return days[input];
	  };
	});

})();
