'use strict';

/* Services */


// Demonstrate how to register services
// In this case it is a simple value service.
(function(){
    var app = angular.module('firebulletin.services', [])
    app.service('BulletinInfoProvider', ['$http', function($http){
        //this.APIURL = 'http://127.0.0.1:8080/fire_bulletin/rest/';
        this.APIURL = 'http://apps.cimafoundation.org/fire_bulletin/rest/';
        this.geoserverURL = 'http://apps.cimafoundation.org/geoserver/';
        

        this.checkRun = function(sDate)  {
            return $http.get(this.APIURL + 'bulletin/checkRun/' + sDate);
        };

        this.getBulletinInfo = function(sDate, sProtocolNumber)  {
            return $http.get(this.APIURL + 'bulletin/getBulletinInfo/' + sDate);
        };

        this.getPDFURL = function(sDate, sProtocolNumber){
            return this.APIURL + 'bulletin/getBulletinPDF?date=' + sDate
                + "&protocolnumber=" + sProtocolNumber;
        };

        this.sendBulletinByEmail = function(sDate, sProtocolNumber){
            return $http.get(this.APIURL + 'bulletin/sendBulletinByEmail?date=' + sDate
                + "&protocolnumber=" + sProtocolNumber);
        };

        this.getGeoJson = function(layer){
            'http://apps.cimafoundation.org/geoserver/ows?service=WFS&version=1.0.0&request=GetFeature&typeName=firebulletin:SHP_puglia_comuni_201705090000_201705100000'
            return $http.get(this.geoserverURL + 
                'ows?service=WFS&version=1.0.0&request=GetFeature&typeName=' +
                layer +
                '&outputFormat=application/json'
            );
        };

    }]);
})();
